Applicable for checking the position risk details a specified contract
Request URL
GET https://cloud-api.wooxpro.com/contract/private/position-risk
Request Limit
See Detailed Rate LimitRequest Parameter
Request
Response Data
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Applicable for checking the position risk details a specified contract
GET https://cloud-api.wooxpro.com/contract/private/position-risk
Request
curl -H 'X-API-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/position-risk?symbol=BTCUSDT
| Field | Type | Required? | Description |
|---|---|---|---|
| symbol | String | No | Symbol of the contract(like BTCUSDT) |
| account | String | No | Trading account - futures- copy_trading |
Response
{
"code": 1000,
"message": "Ok",
"data": [
{
"symbol":"BTCUSDT",
"position_amt":"1",
"mark_price":"67957.7",
"unrealized_profit":"969.6",
"liquidation_price":"64245",
"leverage":"20",
"max_notional_value":"3000000",
"margin_type":"Isolated",
"isolated_margin":"3078.51948691",
"position_side":"Long",
"notional":"66988.1",
"update_time":1712390438,
"account": "futures"
}
],
"trace": "ae96cae5-1f09-4ea5-971e-4474a6724bc8"
}
| 字段 | 类型 | 描述 |
|---|---|---|
| symbol | String | Symbol of the contract(like BTCUSDT) |
| position_amt | String | Position amount |
| mark_price | String | Mark Price of the contract |
| unrealized_profit | String | Unrealized profit of the position |
| liquidation_price | String | LiquidationPrice of the position |
| leverage | String | Position leverage |
| max_notional_value | String | Maximum notional value for the current risk level |
| margin_type | String | Margin type of the position - Cross- Isolated |
| isolated_margin | String | Margin for the isolated position |
| position_side | String | Position side - Long- Short |
| notional | String | notional = position_amt*mark_Price |
| account | String | Trading account - futures- copy_trading |
| update_time | Long | Unix timestamp in milliseconds for when the last updated time occurred |